<%- include('../../partials/header.ejs')%>

<body>
    <%- include('../../partials/navbar.ejs')%>

    <div class="container">
        <hr>
        <h2>Usuários</h2>
        <a class="btn btn-success" href="/admin/users/create">Criar novo usuário</a>
        <hr>
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Nome</th>
                    <th>e-mail</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <% users.forEach(u => { %>
                    <tr>
                        <th><%= u.id %></th>
                        <th><%= u.name %></th>
                        <th><%= u.email %></th>
                        <th>
                            <a href="/admin/users/edit/<%= u.id %>" class="btn btn-warning">Editar</a>

                            <form method="POST" action="/users/delete" style="display: inline;" onsubmit="deleteConfirm(event, this)">
                                <input type="hidden" name="idCategory" value="<%= u.id %>">
                                <button class="btn btn-danger">Deletar</button>
                            </form>
                        </th>
                    </tr>    
                <% }) %>

            </tbody>
        </table>
    </div>
</body>

<%- include('../../partials/footer.ejs')%>

<script>
    function deleteConfirm(event, form){
        event.preventDefault(); //Interrompe a submissão do form
        var decision = confirm("Tem certeza que quer apagar este usuário?");
        if(decision){
            form.submit();
        }
    }
</script>
